<!--
/**
 * K-onstruct CMS
 * Copyright (C) 2008-2011 Kevin Kis
 *
 * Formerly known as CECMS Content Management System
 *
 * PHP version 5
 * @copyright  2008-2011 Kevin Kis
 * @author     Kevin Kis <http://www.k-kombinat.de>
 *
 */


// Globales Objekt
var searchimages = {
    
    // Leni Sonnenrad
    image1 : 
    {
        background : 'background_image1',
        available_layer : 6,
        // 1. Nationalismus ist auch Mädelsache
        layer_1 : {
            original :  'bg_1_maedelsache',                
            header :    'Nationalismus ist auch Mädelsache',
            text :      'Rechter Slogan, der häufig auf Aufklebern der JN (Junge Nationaldemokraten, Jugendorganisation der NPD) zu lesen ist. Er soll deutlich machen, dass sich auch Frauen für die Ziele der Neonazis einsetzen sollen und versucht gezielt junge Mädchen anzuwerben.',
            text_more:  '' 
        },
        // 2. Dee Ex
        layer_2 : {
            original :  'bg_1_dee_ex',                
            header :    'Dee Ex',
            text :      'Eine Rapperin aus Berlin, die ihre Musik als „patriotischen Rap“ bezeichnet. Ihre Songs handeln von Überfremdungsängsten, Verschwörungstheorien und Deutschlandliebe. Die Fans stammen damit überwiegend aus den Reihen der Rechtspopulisten bis hin zu Autonomen Nationalisten.',
            text_more:  '' 
        },
        // 3. Kolberg
        layer_3 : {
            original :  'bg_1_kolberg',               
            header :    'Kolberg',
            text :      'Der Film ist bei Neonazis beliebt, weil er nicht nur ein Propagandafilm des Nationalsozialismus ist, sondern weil er auch den Kampf eines Volkes gegen eine drohende Besatzung durch „Fremde“ darstellt. Er beschreibt den Widerstand der Bewohner der Stadt Kolberg gegen das eigentlich überlegene Heer Napoleons. In der letzten Phase des Zweiten Weltkrieges sollte er den Durchhaltewillen der Deutschen stärken. ',
            text_more:  '' 
        },
        // 4. Pinselstriche.org
        layer_4 : {
            original :  'bg_1_pinselstriche',                
            header :    'Pinselstriche.org',
            text :      'Das ist eine Homepage mit dem Untertitel „Demokratie? Nicht mit uns!“ zur Vernetzung neonazistischer Gruppen aus Mittelsachsen. Er dreht sich um Aktionen im öffentlichen Raum, in denen das demokratische System der BRD kritisiert wird, z.B. unangemeldete Demonstrationen mit dem Motto „Die Demokraten bringen uns den Volkstod“. Außerdem gibt es Texte und Vorlagen für rechte Streetart.',
            text_more:  '' 
        },
        // 5. RNF
        layer_5 : {
            original :  'bg_1_rnf',                
            header :    'RNF',
            text :      'Der Ring Nationaler Frauen wurde 2006 gegründet und ist eine bundesweite Organisation der NPD. Er soll den Frauen in der NPD als „Sprachrohr dienen“, aber auch ein Ansprechpartner für rechte Frauen außerhalb der NPD sein. Er verdeutlicht die zunehmende Bedeutung von Frauen in der rechten Szene.',
            text_more:  '' 
        },
        // 6. Leni
        layer_6 : {
            original :  'bg_1_leni',                
            header :    'Leni Sonnenrad',
            text :      'Leni<br /><br />Leni Riefenstahl war eine Fotografin und Regisseurin, die aufgrund ihrer NS-Propagandafilme umstritten ist. Sie drehte u.a. den Film „Olympia – Fest der Völker“ über die Olympischen Spiele 1936 in Berlin. Darin wird das Sportereignis als nationalsozialistische Propagandaveranstaltung inszeniert.<br /><br />Sonnenrad<br /><br />Das Hakenkreuz greift das alte Symbol eines Sonnenrads (Swastika) auf. Was im Nationalsozialismus als Symbol der NSDAP verwendet wurde, tauchte schon 400 Jahre zuvor in anderen Kulturen auf. Es galt beispielsweise als religiöses Zeichen für das vollkommene Leben, als Zeichen für Wandlung oder als Symbol für Thors Hammer. ',
            text_more:  '' 
        }
    },    
    
    // Odins Rache
    image2 : 
    {       
        background : 'background_image2',
        available_layer : 5,
        // 1. Lunikoff Verschwörung
        layer_1 : {
            original :  'bg_2_lunikoff',                
            header :    'Lunikoff Verschwörung',
            text :      'Das ist eine Rechtsrock Band aus dem Raum Berlin. Gegründet wurde sie 2004 von dem Ex-Sänger der neonazistischen Band „Landser“ (Michael Regener, Pseudonym „Lunikoff“). Ihr Album aus dem Jahr 2012 wurde von der Bundesprüfstelle für jugendgefährdente Medien verboten.',
            text_more:  '' 
        },
        // 2. Deutschland schafft sich ab
        layer_2 : {
            original :  'bg_2_deutschland_schafft_sich_ab',                
            header :    'Deutschland schafft sich ab',
            text :      'Dieses Buch von Thilo Sarrazin, das 2010 erschien, beschäftigt sich mit den Themen Geburtenrückgang, wachsender Unterschicht und Zuwanderung aus überwiegend muslimischen Ländern. Die im Buch formulierten Thesen lösten eine breite und lang anhaltende gesellschaftliche Diskussion unter Beteiligung von Vertretern aus Politik, Medien und Wissenschaft aus. Kritisiert wurden unter anderem Sarrazins Verallgemeinerungen, Rassismus und Islamfeindlichkeit. Von rechten Gruppen bekam Sarrazin viel Zustimmung. ',
            text_more:  '' 
        },
        // 3. FSN TV
        layer_3 : {
            original :  'bg_2_fsn',               
            header :    'FSN TV',
            text :      'FSN TV ist eine Homepage mit Texten, auf der jedoch auch Internetradio gehört werden kann. Das Radio wird von der NPD Bayern mitfinanziert. Auf diesem Sender läuft  nicht nur die Musik rechter Bands. Es gibt darüber hinaus auch viele Studiogäste, die zwischen den Liedern zusammen mit den Moderatoren ihr rechtes Gedankengut verbreiten.',
            text_more:  '' 
        },
        // 4. Wewelsburg
        layer_4 : {
            original :  'bg_2_wewelsburg',                
            header :    'Wewelsburg',
            text :      'Die Wewelsburg ist ein Anfang des 17. Jahrhunderts errichtetes Burgschloss in Nordrhein-Westfahlen. Während der Zeit des Nationalsozialismus wurde es von der SS genutzt und war später auch ein Konzentrationslager. Heutzutage ist es eine Gedenkstätte. Zwei Räume aus der SS Zeit sind erhalten. In einem davon ist eine große schwarze Sonne auf dem Mamorfussboden sichtbar, weshalb (Neo) Nazis gern an diesen Ort kommen.',
            text_more:  '' 
        } ,
        // 5. Odin
        layer_5 : {
            original :  'bg_2_odin',                
            header :    'Odin',
            text :      'Zu den im Rechtsextremismus bekannten und verwendeten germanischen Götternamen gehört, neben Odin/Wodan, dem germanischen Göttervater und Gott des Krieges, auch der Donnergott Thor/Donar. Diese Götternamen finden sich in der Szene beispielsweise auch bei Gruppennamen, Bandnamen oder auf Kleidungsstücken, die in rechtsextremen Kreisen produziert werden, wieder.  Beide Götter spiegeln nicht nur die Heimatverbundenheit und den germanischen Ursprung wider. Sie sind beide Hauptgötter, die mit der Vorstellung von Macht und Gewalt, List und Verwegenheit verbunden sind.',
            text_more:  '' 
        }        
    },
    
    // Freya Storm78
    image3 : 
    {       
        background : 'background_image3',
        available_layer : 6,
        
        // 1 .Sacha Korn
        layer_1 : {
            original :  'bg_3_sacha',                
            header :    'Sacha Korn',
            text :      'Sacha Korn ist ein deutscher Liedermacher. Seine Lieder bewegen sich zwar auf dem Boden des Erlaubten, versuchen jedoch mit ihrem patriotischen Inhalt Jugendliche zu erreichen, die sich als „stolze Deutsche“ empfinden. In seinen Internet-Profilen, z.B. bei facebook, findet sich dann in seinen Äußerungen jedoch die Abwertung anderer, die mit dem Patriotismus der Neonazis einhergeht. Bei youtube gelangt man durch seine Lieder leicht zu eindeutig rechte Videos. Mehrere seiner Songs finden sich auf einer „Schulhof-CD“ der NPD.',
            text_more:  '' 
        },
        // 2. Das Prinzip Arche Noah. Warum wir die Familie retten müssen
        layer_2 : {
            original :  'bg_3_arche',                
            header :    'Das Prinzip Arche Noah. Warum wir die Familie retten müssen',
            text :      'Dieses Buch stammt von Eva Hermann und ist 2010 erschienen.  Sie beschreibt darin einen „Zersetzungsprozess“ von Familien in Deutschland und setzt sich – wie in anderen Büchern von ihr auch - für ein traditionelles Rollenverständnis von Mann und Frau ein. Der Ring Nationaler Frauen, die Frauenorganisation der rechtsextremen NPD, erklärt, dass es zwischen den eigenen Thesen und denen von Eva Hermann „nahezu hundertprozentige Übereinstimmung“1 gibt.',
            text_more:  '' 
        },
        // 3. PI news
        layer_3 : {
            original :  'bg_3_pi_news',               
            header :    'PI news',
            text :      'PI steht für politically incorrect. Bei PI news handelt es sich um ein 2004 gegründetes politisches Blog. Hauptinhalt sind islamfeindliche Artikel, die häufig von Autoren unter Pseudonymen verfasst werden. Mittlerweile zählt es als eines der bedeutendsten deutschsprachigen Blogs zu diesem Thema. Es ist mit vielen islamfeindlichen, rechtsextremen oder rechtspopulistischen Personen national und international vernetzt.',
            text_more:  '' 
        },
        // 4. Thinghaus
        layer_4 : {
            original :  'bg_3_thinghaus',                
            header :    'Thinghaus',
            text :      'Das „Thinghaus“ ist ein landesweit bekannter Treffpunkt der rechten Szene in Grevesmühlen, Mecklenburg Vorpommern. Dort finden Konzerte rechter Bands, Lesungen, Vorträge und Schulungen statt. Außerdem wurde ein NPD Bürgerbüro im Gebäude eingerichtet. ',
            text_more:  '' 
        },
        // 5. Unsere Kinder - Unsere Zukunft – unsere Stadt sagt NEIN zu Sexualstraftätern
        layer_5 : {
            original :  'bg_3_sexualstraftaeter',                
            header :    'Unsere Kinder - Unsere Zukunft – unsere Stadt sagt NEIN zu Sexualstraftätern',
            text :      'Auf Gruppen wie dieser in Sozialen Netzwerken tummeln sich häufig viele rechte User. Neonazis engagieren sich gegen „Kinderschänder“, da sie sich bei diesem Thema des Zuspruches der Mehrheitsbevölkerung sicher sein können. Es ist Teil ihrer „Normalisierungsstrategie“. Das Thema wird für eine Stimmungsmache gegen „die da oben“ sowie die moderne Gesellschaft und ihren Sittenverfall benutzt. Darüber hinaus sind deutsche (!) Kinder für die Rechten wichtig zum Erhalt ihres (deutschen) „Volkes“. Es geht bei ihren Forderungen eher um Gewaltverherrlichung als darum, wie den Betroffenen geholfen werden kann.',
            text_more:  '' 
        } ,
        // 6. Freya
        layer_6 : {
            original :  'bg_3_freya',                
            header :    'Freya',
            text :      'Freya ist eine Göttin aus der germanischen Mythologie, deren Name auch im rechtsextremen Milieu gebraucht wird. Sie ist nicht nur die Göttin der Liebe und Fruchtbarkeit, sondern wird auch als Kriegsgöttin erwähnt. ',
            text_more:  '' 
        }        
    },
    
    // Jens still loving germany
    image4 : 
    {       
        background : 'background_image4',
        available_layer : 6,
        // 1. 1. Uwocaust
        layer_1 : {
            original :  'bg_4_uwocaust',                
            header :    'Uwocaust',
            text :      'Dahinter verbirgt sich der deutsche Musiker Uwe Menzel. Mit seinen verschiedenen Bandprojekten ist er Teil des deutschen Rock against Communism. Sein Spitzname „Uwocaust“ spielt gezielt auf den Holocaust an. Er gilt als ein Hauptakteur in der Brandenburger Rechtsrockszene. Mit seinem Projekt „Uwocaust und alte Freunde“ war auch er auf der NPD Schulhof CD vertreten. Viele seiner Songs sind inzwischen indiziert.',
            text_more:  '' 
        },
        // 2. Makss Damage
        layer_2 : {
            original :  'bg_4_makss',                
            header :    'Makss Damage',
            text :      'Der 1988 geborene Julian Fritsch, auch als MAK bekannt, ist ein Neonazi und deutscher Rapper aus Gütersloh. Angeblich hat er seinen Namen von der Hauptfigur Max Damage aus dem Computerspiel Carmageddon übernommen. Zunächst hatter er sich durch seine kontroversen Texte in der linken und kommunistischen Szene einen Namen gemacht. Seit Anfang 2011 ist er jedoch in der Neonazi-Szene aktiv. Seine Texte gelten als frauenfeindlich, antisemitisch und gewaltverherrlichend. ',
            text_more:  '' 
        },
        // 3. american history x
        layer_3 : {
            original :  'bg_4_history_x',               
            header :    'American History X',
            text :      'Dieser Film wird oft von Rechten als ein Lieblingsfilm angegeben, was vor allem an der dargestellten Gewalt liegt. Eigentlich setzt er sich kritisch mit der amerikanischen Nazi-Szene auseinander, zeigt jedoch auch wie der rechte Protagonist einen Afro-Amerikaner durch das sogenannte „Bordsteinbeißen“ tötet. Da diese Tat 2002 Nachahmer durch Rechtsradikale in Deutschland fand, wird der Film auch als Anspielung auf und Zustimmung zu diesem brutalen Mord mit genannt.',
            text_more:  '' 
        },
        // 4. Wewelsburg
        layer_4 : {
            original :  'bg_4_narzissen',                
            header :    'Blaue Narzisse',
            text :      'Dabei handelt es sich um ein Jugendmagazin aus Chemnitz, das 2004 erstmalig erschien. Inhaltlich geht es zwar um Jugendthemen, diese werden jedoch durch eine – nach eigener Aussage - konservative Haltung besprochen. Politikwissenschaft ordnen das Magazin der neurechten Szene zu, aus der auch die meisten Autoren stammen. ',
            text_more:  '' 
        } ,
        // 5. Wewelsburg
        layer_5 : {
            original :  'bg_4_jens',                
            header :    'Jens still loving germany',
            text :      'Dieser Profilname: „Jens liebt Deutschland noch immer“, bringt eine nationale Gesinnung und eine starke Heimatverbundenheit zum Ausdruck. Die Bezeichnung ist grenzwertig zu einem gesunden Nationalstolz. „(…) noch immer“ suggeriert, es gäbe einen Grund dafür, Deutschland nicht mehr so wie früher lieben zu können, während das Profil einen englischen Namen hat, keinen Deutschen.',
            text_more:  '' 
        },   
        // 6. Good night left side
        layer_6 : {
            original :  'bg_4_good_night',                
            header :    'Good night left side',
            text :      'In der rechtsextremen Szene werden verschiedene Symbole gegen Nazis und Slogans abgewandelt übernommen. Der Slogan „Good night left side!“ ist angelehnt an „Good night white pride“. „Good night white pride“, übersetzt: „Gute Nacht weißer Stolz“, spielt auf die rassistische und antisemitische White-Pride bzw. White-Power-Ideologie an. Mit „Weiß“ wird dabei die Hautfarbe, die unterschiedliche ethnische Gruppen unterscheidet, assoziiert. Rechtsextreme hingegen wenden sich mit dem Slogan „Good night left side!“ gegen die politische, linke Seite.',
            text_more:  '' 
        }   
        
    }
}


/**
 * Load on ready state
 */
$(function() {       
    
    // Erzeuge Instanz 
    var obj = new SearchImageKonstructor(1,4);
    obj.initSearchimage();
   
});


/**
 *  Konstructor
 *  int ci  current_image
 *  int ai  available_images
 */
function SearchImageKonstructor(ci, ai)
{
    ////////////////////////////////////////////////////////////////////////////
    // ÖFFENTLICHE EIGENSCHAFTEN
    ////////////////////////////////////////////////////////////////////////////
    
    
    
    ////////////////////////////////////////////////////////////////////////////
    // PRIVATE EIGENSCHAFTEN
    ////////////////////////////////////////////////////////////////////////////   
    var _quiztheme = "Gegen Rechts! Handlungsstrategien für die Schule";
    var _quizthemeshort = "Gegen Rechts!";
    
    
    var preloadimages;
    
    /*
     * Bildurl
     */
    var _imagedir = "media/uploads/images";     
    
    /*
     * aktuelles Suchbild
     * default 1
     */
    var _current_image = ci;        
    
    /*
     * verfügbare Suchbilder
     */
    var _available_images =  ai;  
    
    
    ////////////////////////////////////////////////////////////////////////////
    // ÖFFENTLICHE METHODEN
    ////////////////////////////////////////////////////////////////////////////
    this.initSearchimage = function() {
        
        _fullfillPlaceholder();
        _preloadImages();
        _loadSearchImagesWithLayersAndInitHover();
        _initPaging();
        _initCurrentPage();
        _initCheckbutton();
        _initSessionStorageEngine();
        _initLocalStorageEngine();
    }
    
    
    this.test = function() {
        return _current_image;
    //alert(this.preloadimages["image2"]["background"].src);
    }
    
    
    //////////////////////////////////////////////////////////////////////////// 
    // PRIVATE METHODEN
    ////////////////////////////////////////////////////////////////////////////
    
    /**
     * Setze Überschriften an definierte Stellen
     */
    function _fullfillPlaceholder() {
        
        // Navigation
        $('#nav-box .hl').html(_quizthemeshort);
        
        // Footer
        $('#footer-headline').html(_quiztheme);
        
        // Paging
        $('#paging #current_page').html(_current_image);
        $('#paging #available_pages').html(_available_images);
        
    }
    
    /**
     * Lade alle Suchbilder und Layer vor
     * 
     */
    function _preloadImages() {
        
        var images = new Array;        
        var layercounter;
   
        for(var bg = 1 ; bg <= _available_images; bg++){
            
            images["image"+bg] = new Array; 
            
            // Background
            images["image"+bg]["background"] = new Image(); 
            images["image"+bg]["background"].src = _imagedir + "/" + (searchimages["image"+bg].background+".png");
           
            // Anzahl vorhandener Layer in einem Suchbild
            layercounter = searchimages["image"+bg].available_layer;        
   
            for (var i = 1; i <= layercounter; i++) {   
                  
                // Original  
                images["image"+bg]["layer_"+i] = new Image(); 
                images["image"+bg]["layer_"+i].src = _imagedir + "/" + (searchimages["image"+bg]["layer_"+i].original+".png");
                
                // Hover
                images["image"+bg]["layer_"+i]["hover"] = new Image();
                images["image"+bg]["layer_"+i]["hover"].src = _imagedir + "/" + (searchimages["image"+bg]["layer_"+i].original+"_hover.png");
            }
        }
        
        preloadimages = images;
        
    }
    
    /**
     * Lade alle Bilder und Layer in den DOM und setze diese versteckt
     */
    function _loadSearchImagesWithLayersAndInitHover() {
        
        var layercounter;
    
        for(var bg = 1 ; bg <= _available_images; bg++){
           
            layercounter = searchimages["image"+bg].available_layer;     
            
            $('#searchimages').append('<div id="image'+bg+'" class="background" style="display:none;">');  
   
            for (var i = 1; i <= layercounter; i++) {  
                
                $('#searchimages #image'+bg).append(
                    '<img src="'+ preloadimages["image"+bg]["layer_"+i].src + '" rel="layer_' + i + '" alt="" />'
                    );  
            }
            
            $('#searchimages').append('</div>');
        }
        
        _initHoverHandler();
    }
    
    /**
     * Initiiere die Aktion bei Hover für die Layer
     */
    function _initHoverHandler() {
        
        var current_layer;
        
        $('#searchimages #image' + _current_image + ' img').hover(function () {  
         
            current_layer = $(this).attr('rel');
         
            // Clickhandler
            $(this).click(function(){    

                _switchLocalStorageButtons("save");
                
                if(_activeCounter() == 0 && !$(this).hasClass('deactivated')) {
                    $(this).addClass("active").addClass('hover');
                    _openInfobox("image"+_current_image, current_layer);
                }
            })
           
            // Hover in
            if(_activeCounter() == 0 && !$(this).hasClass('deactivated')) {
                $(this).addClass('hover');
                $(this).attr('src',preloadimages["image"+_current_image][current_layer]["hover"].src);
            }
            
            
        },function() {
            
            current_layer = $(this).attr('rel');
            
            // Hover out
            if(!$(this).hasClass("active")) {  
                $(this).removeClass('hover');
                $(this).attr('src',preloadimages["image"+_current_image][current_layer].src);
            } 

        });
   
    }
    
    /**
     * Gibt Anzahl angewählter Bilder zurück
     */
    function _activeCounter() {    
        return $('#searchimages img.active').length;
    }
    
    
    /* 
    * Initiiere die Pagingfunktionalität
    * Falls es mehr als 1 Suchbild gibt zeige das Paging
    */
    function _initPaging() {
    
        if(_available_images <= 1) {
            return;
        }
    
        // Zeige Paging
        $("#paging").show();
    
        // Navigation Links
        $('img#pleft').click(function(){
            _current_image = _current_image-1;
            if(_current_image <=0) {
                _current_image = 1;
            }
            // initiiere Suchbild
            _initCurrentPage();
        });
    
        // Navigation Rechts
        $('img#pright').click(function(){
            _current_image = _current_image+1;
            if(_current_image > _available_images) {
                _current_image = _available_images;
            }
            // initiiere Suchbild
            _initCurrentPage();
        });    
    }
    
    
    /**
     * Initiiere aktuelle Seite
     */
    function _initCurrentPage() {
        
        /*
         * Reset Szene
         */ 
        // Verstecke alle Scuhbilder
        $('.background').hide();
        
        /*
         *  Initiiere Szene
         */ 
        // Zeige aktuelles Suchbild
        $('#image'+_current_image).show();
        
        // Aktualisiere Paging
        $('#current_page').html(_current_image);    
        
        
        _initHoverHandler();
    }
    
    /**
     * Öffne Infoboxen 
     * string layer         layername (Bsp: layer_1)
     * boolean extended     
     */
    function _openInfobox(image, layer, extended) {
   
        var current_layer = searchimages[image][layer];
        var header = current_layer.header;
        var text = current_layer.text;
        var text_more = current_layer.text_more;
    
        $('.infoborder').remove(); 
    
        var leftposition = Math.round($(document).width() / 3)  +"px";
    
        if(extended == true) {
            $('#MainBorder').append('\
            <div class="infoborder" rel="'+layer+'" style="left:'+leftposition+'"><div class="infobox_close"></div>\n\
            <h1>'+header+'</h1>\n\
            <p>'+text+'</p>\n\
            <p>'+text_more+'</p></div><div class="clear"></div>');
        /* '+/*<p class="fleft"><img src="'+images["original_"+this_imgno].src+'" class="extended"/></p>*/
        
        } else {
            $('#MainBorder').append('<div class="infoborder" rel="'+layer+'" style="left:'+leftposition+'"><div class="infobox_close"></div><h1>'+header+'</h1><p>'+text+'</p></div>');
        }
    
        // focussierte infobox bekommt höchsten zindex
        $(".infoborder").click(function(){
            var sethigherzindex = highestZindex(".infoborder") + 1;
            $(this).css("z-index",sethigherzindex);
        });
    
        //set draggable
        $('.infoborder').draggable();
    
        //init close button
        $('.infobox_close').click(function(){
            $(this).parent().hide();
        
            if(extended != true) {
                _moveResultToNavigationCenter(_current_image, layer);
                _resetStage(layer);
                _initExtendedInfoboxes();
            }
        })
    }
    
    
    /** 
     * Kopiere Ergebnis in Navigationsleiste
     * mixed  current_image_tmp    - imagex(x) or ("imagex")
     * string layer                - ("layer_x")
     * 
     */ 
    function _moveResultToNavigationCenter(current_image_tmp, layer) {  
        
        var current_layer;
        
        // Wenn current_image_tmp ein string, dann schneide zahl heraus und mache daraus eine Zahl
        if(typeof current_image_tmp == 'string') {            
            current_image_tmp = parseInt(current_image_tmp.substr(5,1));  
        }
        
        current_layer = searchimages["image"+current_image_tmp][layer];
        var header = current_layer.header;
        //var text_more = current_layer.text_more;
    
        $('#mcs_container ol').append('<li><div class="navinfo" rel="image'+current_image_tmp+'  '+layer+'"><span>'+header+'</span></div></li>');
        /*<img src="'+preloadimages["image"+current_image_tmp][layer].src+'" /><br />*/
        initNavScroll();       

    }
    
    /**
     * Nach dem Schließen der Infobox wird die Bühne wieder für den Clickevent bereitgestellt
     */
    function _resetStage(layer) {  
        $("#image"+_current_image+" img[rel='"+ layer +"']").attr('src',preloadimages["image"+_current_image][layer].src).addClass('deactivated');
        $("#searchimages img").removeClass('hover').removeClass('active');
    }
    
    /**
     *  Öffne Infobox mit Bild, Text und Antwort
     */
    function _initExtendedInfoboxes() {
    
        var infobox;
        
        $('.navinfo').click(function(){        
            infobox = $(this).attr('rel').split(" ");
            _openInfobox(infobox[0],infobox[2], true);
        })
    }
    
    
    function _initCheckbutton() {
        
        $('#checkbutton').click(function() {
            _find();
        }); 
    }
    
    /**
     * Lässt alle Bilder die noch nicht gefunden wurden für 3 sekunden aufleuchten
     */
    function _find() {
    
        var imagestofind = $('#searchimages #image'+_current_image+' img').not('.deactivated');
    
    
        // Aufleuchten und Hover entfernen
        $.each(imagestofind, function(){
        
            var layer = $(this).attr("rel");
            
            $(this).addClass('hover');
            $(this).attr('src',preloadimages["image"+_current_image][layer]["hover"].src);
        
            $('#searchimages #image'+_current_image+' img').unbind('hover');
        });
    
        // Zurück in Normalzustand
        setTimeout(function(){
            
            $.each(imagestofind, function(){
                
                var layer = $(this).attr("rel");

                $(this).removeClass('hover');
                $(this).attr('src',preloadimages["image"+_current_image][layer].src);
        
            });
        
            _initHoverHandler();
        
        }, 3000); 
    }   
    
    
    /**
    * SESSION STORAGE HANDLER / LÖSEN BUTTON
    */
    function _initSessionStorageEngine(){
        var btn = $('#sessionbutton span');

        btn.click(function(){

            if(btn.html() == "Lösen") {
                _saveToSessionStorage();
                _solve();
                _switchSessionButtons("back");
            } else {                
                _loadFromSessionStorage();            
                _switchSessionButtons("solve");
            }

            initNavScroll();
            _initExtendedInfoboxes(); 

        });
    }
    
    function _switchSessionButtons(method) {

        var btn = $('#sessionbutton span');

        if(method == "solve"){
            btn.html('Lösen')
        } else {
            btn.html('Zurück')
        }
    }
    
    
    /**
     * Löst alle Suchbilder
     */
    function _solve() {
    
        var layercounter, rel;
    
        for(var bg = 1 ; bg <= _available_images; bg++){
        
            layercounter = searchimages["image"+bg].available_layer;        
   
            for (var i = 1; i <= layercounter; i++) {   
            
                rel = "layer_"+i;
                $("#image"+bg+" img[rel='"+rel+"']").addClass('deactivated');
            
                _moveResultToNavigationCenter(bg, rel);
            }
        }
    }
    
    
    function _saveToSessionStorage() {

        var sstorage = new Array();

        $('.navinfo').each(function(){
            sstorage.push($(this).attr('rel'));
        })

        sessionStorage['resolved_pairs'] = sstorage;

        // reset navigation results
        $('#mcs_container ol').html('');
    }


    function _loadFromSessionStorage() {
        
        // reset navigation results
        $('#mcs_container ol').html('');

        var res,image,layer;
        var result = sessionStorage['resolved_pairs'].split(',');
        
        // Reset scenes
        for(var x=1;x<=_available_images;x++) {  
            $('#searchimages #image'+x+' img').removeClass('deactivated');
        }
        

        if(sessionStorage['resolved_pairs'].length > 0){

            for(var i=0;i<result.length;i++) {  
                
                res = result[i].split(" ");
                image = res[0];
                layer = res[2];
                $('#searchimages #'+ image +' img[rel="'+ layer +'"]').addClass('deactivated');
                
                _moveResultToNavigationCenter(image, layer);
            }
        }   
    }
    
    
    /**
    * LOCAL STORAGE HANDLER - Speichern
    */
    function _initLocalStorageEngine() {

        var btn = $('#storagebutton span');

        if (localStorage.length == 0) {
            _switchLocalStorageButtons("save");

        } else{
            _switchLocalStorageButtons("load");
        }

        btn.click(function(){

            if(btn.html() == "Laden") {
                _loadFromLocalStorage();
                _switchLocalStorageButtons("save");
            } else {
                _saveToLocalStorage();
                setTimeout(function(){
                    initMsgbox();
                    showMsgBox("Die aktuellen Eingaben wurden im Browser gespeichert. <br />Bei erneutem Spielen am Anfang auf „Laden“ klicken, um mit diesem Lösungsstand weiterzuarbeiten.");
                },100);
                setTimeout(function(){
                    hideMsgBox();
                },5000);
            }
        
            initNavScroll();
            _initExtendedInfoboxes(); 
        });
    }

    function _switchLocalStorageButtons(method) {

        var btn = $('#storagebutton span');

        if(method == "save"){
            btn.html('Speichern')
        } else {
            btn.html('Laden')
        }
    }

    function _loadFromLocalStorage() {

        // reset navigation results
        $('#mcs_container ol').html('');

        var result = localStorage['resolved_pairs'].split(',');

        if(localStorage['resolved_pairs'].length > 0){
            for(var i=0;i<result.length;i++) {  
                
                res = result[i].split(" ");
                image = res[0];
                layer = res[2];
                $('#searchimages #'+ image +' img[rel="'+ layer +'"]').addClass('deactivated');
                
                _moveResultToNavigationCenter(image, layer);
            }
        }
    }

    function _saveToLocalStorage() {

        var sstorage = new Array();

        $('.navinfo').each(function(){
            sstorage.push($(this).attr('rel'));
        })

        localStorage['resolved_pairs'] = sstorage;

    }
   
    
}
